package cn.superdesk.uniorder.dao.mapper.accounting.score.customer;

import cn.superdesk.uniorder.dao.entity.accounting.score.customer.AccountingScoreCustomer;
import cn.superdesk.uniorder.dao.entity.accounting.score.customer.AccountingScoreCustomerExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AccountingScoreCustomerMapper {
    long countByExample(AccountingScoreCustomerExample example);

    int deleteByExample(AccountingScoreCustomerExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AccountingScoreCustomer record);

    int insertSelective(AccountingScoreCustomer record);

    List<AccountingScoreCustomer> selectByExampleWithBLOBs(AccountingScoreCustomerExample example);

    List<AccountingScoreCustomer> selectByExample(AccountingScoreCustomerExample example);

    AccountingScoreCustomer selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AccountingScoreCustomer record, @Param("example") AccountingScoreCustomerExample example);

    int updateByExampleWithBLOBs(@Param("record") AccountingScoreCustomer record, @Param("example") AccountingScoreCustomerExample example);

    int updateByExample(@Param("record") AccountingScoreCustomer record, @Param("example") AccountingScoreCustomerExample example);

    int updateByPrimaryKeySelective(AccountingScoreCustomer record);

    int updateByPrimaryKeyWithBLOBs(AccountingScoreCustomer record);

    int updateByPrimaryKey(AccountingScoreCustomer record);
}